Summary:	MSVSphere configuration files
Name:		msvsphere-configs
Version:	0.2.0
Release:	0.2%{?dist}

License:	GPLv3+
URL:		http://msvsphere-os.ru
Source0:	https://github.com/reverbrain/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}-el8.tar.xz

BuildArch:	noarch

%description
Various system configurations for MSVSphere

%package common
Summary:	Configuration files for MSVSphere
Requires:	fontconfig-font-replacements
Requires:	fontconfig-enhanced-defaults
Requires:	google-roboto-condensed-fonts

%description common
This package contains common configuration files

%package gnome
Summary:	Configuration files for GNOME desktop
Requires:	glib2
Requires:	%{name}-common = %{version}-%{release}
Requires:	gnome-shell-extension-arc-menu
Requires:	gnome-shell-extension-dash-to-panel
Requires:	gnome-shell-extension-desktop-icons-ng
Requires:	gnome-shell-extension-top-icons
#Requires:	gnome-shell-extension-notification-banner-reloaded
#Requires:   gnome-shell-extension-no-overview
Requires:	kora-icon-theme
Requires(post): gdm

%description gnome
This package contains configuration files for GNOME

%prep
%autosetup -n %{name}-src

%build

%install
install -d %{buildroot}%{_datadir}/glib-2.0/schemas
install -m644 schemas-override/*.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas
install -d %{buildroot}%{_bindir}
install -m755 bin/* %{buildroot}%{_bindir}

%post gnome
glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1

# fixme (disable xorg by default)
sed -i 's@#WaylandEnable=false@WaylandEnable=false@' /etc/gdm/custom.conf

%postun gnome
glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1


%files gnome
%doc README.md
%{_datadir}/glib-2.0/schemas/*.gschema.override

%files common
%{_bindir}/*
%doc README.md

%changelog
* Tue Feb 20 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.2.0-0.2
- In MSVSphere 8 we use old gnome-shell-extension-arc-menu

* Tue Feb 20 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.2.0-0.1
- Adopt for MSVSphere 8

* Sat Feb 17 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.2.0-2
- Added R: gnome-shell-extension-no-overview

* Mon Oct 30 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.2.0-1
- Enable mutter experimental feature scale-monitor-framebuffer

* Wed Sep 13 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.9-1.1
- Change urls from msvsphere.ru to msvsphere-os.ru

* Fri Sep  8 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.9-1
- Enable notification-banner-reloaded@marcinjakubowski.github.com extension

* Thu Sep  7 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.8-1
- Added scripts to configure wayland and flatpak

* Mon Sep  4 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.7-2
- Fix typo in schema

* Mon Sep  4 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.7-1
- Fix panel visibility
- Disable hot corner

* Fri Aug 18 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.6-4
- Set click-method=areas

* Mon Aug 14 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.6-3
- Remove xkb overrides

* Sat Jul 29 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.6-2
- Change R: to gnome-shell-extension-desktop-icons-ng

* Tue Jul 25 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.6-1
- Update to 0.1.6
- Enable ding@rastersoft.com
- Disable desktop-icons@gnome-shell-extensions.gcampax.github.com

* Sun Jul 16 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.5-1
- update to 0.1.5
- enable tap-to-click on touchpad

* Fri Jul  7 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.4-1
- update to 0.1.4
- set Source Code Pro 11 as monospace-font-name

* Fri Jul  7 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.3-1
- update to 0.1.3
- add chromium to favorites
- fix keyboard layout
- disable wayland by default

* Wed Jun 28 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.2-1
- update to 0.1.2
- added no-overview@fthx extension

* Tue Jun 27 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.1-1
- update to 0.1.1
- drop org.gnome.Terminal.gschema.override

* Tue Jun 20 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1-1
- initial build for MSVSphere 9.2
